#include <iostream>

using namespace std;

int main()
{
    long n;
    long long a;
    scanf("%ld",&n);
    for (long i=0;i<n;i++)
        scanf("%lld",&a);
    if (n<8) printf("5"); else 
    if (n<10) printf("3"); else
    printf("1");
}